import 'package:flutter/material.dart';

mixin LoadingState<W extends StatefulWidget> on State<W> {
  final _notifier = ValueNotifier<bool>(false);

  set isLoading(bool value) => setState(() => _notifier.value = value);

  ValueNotifier<bool> get isLoadingNotifier => _notifier;
}
