part of 'osam_provider.dart';

class Presenter<US, AS> {
  UseCaseContainer _useCaseContainer;

  @protected
  UseCaseContainer get useCaseContainer => _useCaseContainer;

  US _uiState;
  AS _appState;

  @protected
  US get uiState => _uiState;

  @protected
  AS get appState => _appState;

  @protected
  void init() {}

  @protected
  void dispose() {}
}
