import 'dart:async';

abstract class OsamRoute<R> {
  final _completer = Completer<R>();

  OsamRoute({this.result});

  @override
  bool operator ==(other) {
    return runtimeType == other.runtimeType;
  }

  @override
  int get hashCode => runtimeType.hashCode;

  R result;

  void complete() => _completer.complete(result);

  Future<R> get whenComplete => _completer.future;
}
